// requires bgi.h

typedef struct {
	long w, h;
	long nLines;     /* a count of the nmumber of lines as the file is written */
	long bw;         /* width in bytes of one scan line */
	RGBQUAD *cmap;
	DWORD cmap_n;
	FILE *file;
} BMPinfo;


BMPinfo *OpenReadBmpFile(char *filename);
BMPinfo *OpenWriteBmpFile(char *filename, BMPinfo *bmp);
int ReadBmp(BMPinfo *bmp, char *data, long max_n);
int WriteBmp(BMPinfo *bmp, char *data, long n);
void CloseWriteBmpFile(BMPinfo *bmp);
void CloseReadBmpFile(BMPinfo *bmp);

