#define SAMPLERATE 11024
#define CUTOFFFREQ 1200
#define LINETIME 0.50013
#define SCRNDECIMATE 4  // 4 must be >= FILEDECIMATE
#define FILEDECIMATE 2  // 2
#define SCRNLINEDECIMATE (SCRNDECIMATE/2)
#define SCRNCONTRAST 5.0
#define SCRNBRIGHTNESS (255-143)
#define SCRNBMPHEIGHT (120 * 5)  // 5 minutes worth

#define DECIMATERATIO (SCRNDECIMATE / FILEDECIMATE)
#define SCRNBMPWIDTH (((SAMPLERATE * LINETIME) / SCRNDECIMATE) + 1)
#define FILEBMPWIDTH (SCRNBMPWIDTH * DECIMATERATIO)
#define SAMPLESPERLINE (SAMPLERATE*LINETIME)

// don't change these
#define BITSPERSAMPLE 8
#define CHANNELS 1

// Pass Dir's  (from the north or south)
#define PD_NORTH 0
#define PD_SOUTH 1

void WxSaveOptions(void);
void WxLoadOptions(void);

float WxGetLinePeriod(void);
float WxSetLinePeriod(float value);
float WxGetContrast(void);
float WxSetContrast(float value);
int WxGetBrightness(void);
int WxSetBrightness(int value);
int WxGetLeftShift(void);
int WxSetLeftShift(int value);
int WxGetPassDir(void);
int WxSetPassDir(int value);
int WxGetLineDecimate(void);
int WxSetLineDecimate(int value);
int WxGetScrnDecimate(void);
int WxSetScrnDecimate(int value);
int WxGetFileDecimate(void);
int WxSetFileDecimate(int value);
int WxGetSampleRate(void);
int WxSetSampleRate(int value);
int WxGetCutoffFreq(void);
int WxSetCutoffFreq(int value);
int WxGetProcRT(void);
int WxSetProcRT(int value);
int WxGetSaveWav(void);
int WxSetSaveWav(int value);




