/*
		sound.h

*/

typedef struct waveInst {
  HANDLE hWaveInst;
  HANDLE hWaveHdr;
  HANDLE hWaveData;
} WAVEINST;

typedef WAVEINST FAR *LPWAVEINST;


typedef int BOOL;


int openOutWaveDevice(HWND hwndMain, int nSampleRate, int nBits, int nChannels);
int playWaveDevice(HANDLE hData, LPBYTE lpData, DWORD dwDataSize);
void cleanupWaveDevice(LPWAVEINST lpWaveInst);
void closeOutWaveDevice(void);
void recordWaveDevice(HWND hwndMain, int nSampleRate, int nBits,
						int nChannels, int nBufSize);
void closeInWaveDevice(void);
BOOL addInWaveDeviceBuffer(void);
BOOL waveInputActive(void);
void continueWaveInput(HWAVEIN hDev, LPWAVEHDR lpHdr);

