/*
 * Data Types
 */


typedef struct {
  HWND            hwndApp;
	HMMIO           hmmio;
	MMCKINFO        ckOutRIFF;          // chunk info. for output RIFF chunk
	MMCKINFO        ckOut;              // info. for a chunk in output file
  HANDLE          hFormat;
  WAVEFORMAT     *pFormat;
  DWORD           dwDataSize;
  HANDLE          hData;
  LPBYTE				  lpData;
} WAVEFILE;

typedef WAVEFILE FAR *LPWAVEFILE;

int openReadWaveFile(char *szFileName, LPWAVEFILE lpWaveFile);
int allocWaveData(LPWAVEFILE lpWaveFile);
int readWaveFileData(LPWAVEFILE lpWaveFile);
int closeWaveFile(LPWAVEFILE lpWaveFile);
int openWriteWaveFile(char *szFileName, LPWAVEFILE lpWaveFile);
int writeWaveFileData(LPWAVEFILE lpWaveFile);
int closeWriteWaveFile(LPWAVEFILE lpWaveFile);

